This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477250 - Gnome Panel distorts on lenovo x200 when screen resolution is changed.
Gnome Panel distorts on lenovo x200 when screen resolution is changed.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 16:01 EST by Kashyap Chamarthy
Modified: 2009-12-18 02:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:20:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log file (217.39 KB, application/octet-stream)
2008-12-19 16:04 EST, Kashyap Chamarthy
no flags Details
The Gnome-terminal distortion screehshot (1.08 MB, image/png)
2008-12-19 16:10 EST, Kashyap Chamarthy
no flags Details
Screenshot showing the distortion (1018.01 KB, image/png)
2009-03-17 17:01 EDT, Kyrre Ness Sjøbæk
no flags Details

  None (edit)
Description Kashyap Chamarthy 2008-12-19 16:01:41 EST
Description of problem:

Gnome panel distorts on lenovo x200 (12 "), once the screen resolution is changed from 1024x768 to 1280x800

Version-Release number of selected component (if applicable):

2.24.2

How reproducible:

Always.

Steps to Reproduce:
1.Install Fedora 10
2.Login as any user on Fedora 10
3.Change the default screen resolution(1024x768) to 1280x800 and save it.
4.Now, again change the resolution from 1280x800 to 1024x768.

  
Actual results:

The Gnome Panel distorts.(Please notice the attached screen shot and also /var/log/Xorg.0.log file)

Expected results:
The Gnome Panel should also gracefully revert to the 1024x768 resolution.


Additional info:
There was no xorg.conf file in /etx/X11/.
Comment 1 Kashyap Chamarthy 2008-12-19 16:04:28 EST
Created attachment 327498 [details]
/var/log/Xorg.0.log  file
Comment 2 Kashyap Chamarthy 2008-12-19 16:10:15 EST
Created attachment 327499 [details]
The Gnome-terminal distortion screehshot
Comment 3 Kyrre Ness Sjøbæk 2009-03-17 17:00:59 EDT
I have noticed the same, Dell Latitude D520 with an "Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)" (according to lspci).

Most common case is when having used a projector - reducing the resolution of LVDS (normal 1400x1050) to 1024x768, or 800x600 to use a projector works fine,
but when increasing it, something goes wrong with both gnome-panel and gnome-screensaver, as shown in attached file. The screensaver then only covers part of the screen, the rest of the open windows etc. is shown (typical situation: I have used a projector at a meting or a lecture, and when it is done, i close the laptop (turning on the screensaver), disconnect it, and carry it to my office. When I then turn it back on, 2/3rds of the screen is covered with the screensaver password dialog, and along the lower and left border I can see my desktops and any programs that might be there).

It also sometimes happen that it changes resolution back to the "normal one" withot me doing anything. Is this a feature? Same problem also happens.
Comment 4 Kyrre Ness Sjøbæk 2009-03-17 17:01:57 EDT
Created attachment 335599 [details]
Screenshot showing the distortion
Comment 5 Bug Zapper 2009-11-18 04:42:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:20:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.